# -*- coding: utf-8 -*-
# vim: ft=jinja

{% set osrelease = salt['grains.get']('osrelease') %}
{% if osrelease.startswith('11.3') %}
    {% set repo_source = 'salt://repos/linux/files/stable/sles11-sp4-pool.repo' %}
{% elif osrelease.startswith('11.4') %}
    {% set repo_source = 'salt://repos/linux/files/stable/sles11-sp4-pool.repo' %}
{% elif osrelease.startswith('12.1') %}
    {% set repo_source = 'salt://repos/linux/files/stable/sles12-sp1-pool.repo' %}
{% elif osrelease.startswith('12.2') %}
    {% set repo_source = 'salt://repos/linux/files/stable/sles12-sp2-pool.repo' %}
{% elif osrelease.startswith('12.3') %}
    {% set repo_source = 'salt://repos/linux/files/stable/sles12-sp3-pool.repo' %}
{% endif %}


{% set repos = salt['grains.filter_by']({
    'RedHat': {
        'repo_source': salt['grains.filter_by']({
            '7': 'salt://repos/linux/files/stable/rhel-server-7.repo',
            '6': 'salt://repos/linux/files/stable/rhel-server-6.repo',
            '5': 'salt://repos/linux/files/stable/rhel-server-5.repo',
        }, grain='osmajorrelease'),
        'repo_location': '/etc/yum.repos.d/Tyson-Latest.repo'
    },
    'CentOS': {
        'repo_source': salt['grains.filter_by']({
            '7': 'salt://repos/linux/files/stable/rhel-server-7.repo',
            '6': 'salt://repos/linux/files/stable/rhel-server-6.repo',
            '5': 'salt://repos/linux/files/stable/rhel-server-5.repo',
        }, grain='osmajorrelease'),
        'repo_location': '/etc/yum.repos.d/ARMS-Latest.repo'
    },
    'SUSE': {
        'repo_source': repo_source,
        'repo_location': '/etc/zypp/repos.d/ARMS-Latest.repo',
    }
}, grain='os', merge=salt['pillar.get']('repos:lookup')) %}
